!
也想出现在这里? 联系我们
广告位
当前位置:首页>技术分享>编程技术>【WebPack】错误 Error: Cannot find module ‘@babel/core’

【WebPack】错误 Error: Cannot find module ‘@babel/core’

webpack 打包过程中出现如下错误:

网上搜索后发现是因为版本不匹配的问题。如下图,babel-core 为 6.X 版本,babel-loader 为 8.X 版本。

【WebPack】错误 Error: Cannot find module ‘@babel/core’

解决方案如下:

1、降级版本

运行如下命令将 babel-loade 版本降低到 7.x 版本就可以了。

重新运行后可能会报错 transform-remobe-strict-mode 找不到,重新安装下即可。

【WebPack】错误 Error: Cannot find module ‘@babel/core’

2、升级版本

升级版本个人感觉比较麻烦,babel 7.x 版本改动比较大,如果你想升级版本需要将所有相关组件都升级到最新版本。如下,命名规则由 babel-* 变成了@babel/* 了。

【WebPack】错误 Error: Cannot find module ‘@babel/core’

这还不算完,babel 7.x 移除了 stage-0 ,详见这里 >>> https://babeljs.io/blog/2018/07/27/removing-babels-stage-presets ,所以你也要移除它,不然会报错!

 

 

给TA打赏
共{{data.count}}人
人已打赏
编程技术

M3U8 加密视频下载

2022-9-5 16:32:41

编程技术

【奇葩】clean-webpack-plugin 错误问题

2022-9-5 16:33:17

声明 本站上的部份代码及教程来源于互联网,仅供网友学习交流,若您喜欢本文可附上原文链接随意转载。无意侵害您的权益,请发送邮件至 2651636361@qq.com 或点击右侧 私信:少羽 反馈,我们将尽快处理。
0 条回复A文章作者M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索